Leaderboard


Popular Content

Showing content with the highest reputation since 12/18/19 in all areas

  1. 2 points
    ibaron

    Wszystkiego najlepszego w Nowym Roku

    Film na Nowy Rok, najlepsze życzenia od zespołu Szansa. Nowy Rok.mp4
  2. 2 points
    pawmal

    Gwint

    Witam, W zakładce Operacje jest narzędzie do gwintów. Potrzebny jest tylko profil gwintu- przykład poniżej.
  3. 1 point
    Wygląda na to, że nie trzeba dodawać, usuwać i przesuwać. Wystarczy dodać do bazy, otworzyć do zapisu i będzie OK. Twój kod przerobiłbym tak: using ZwSoft.ZwCAD.DatabaseServices; using ZwSoft.ZwCAD.EditorInput; using ZwSoft.ZwCAD.Geometry; using ZwSoft.ZwCAD.GraphicsInterface; using ZwSoft.ZwCAD.ApplicationServices; using ZwSoft.ZwCAD.Runtime; namespace JigTest { public class Jig : DrawJig { private readonly Point3d basePoint; private readonly Entity entity; private Point3d currentPoint; public Matrix3d transformation; public Jig(Entity txt, Point3d point) : base() { entity = txt; basePoint = point; } protected override SamplerStatus Sampler(JigPrompts prompts) { JigPromptPointOptions jigOpt = new JigPromptPointOptions("Wskaż punkt wstawienia:") { UserInputControls = UserInputControls.Accept3dCoordinates, BasePoint = basePoint }; PromptPointResult res = prompts.AcquirePoint(jigOpt); currentPoint = res.Value; return SamplerStatus.OK; } protected override bool WorldDraw(WorldDraw draw) { transformation = Matrix3d.Displacement(basePoint.GetVectorTo(currentPoint)); var geometry = draw.Geometry; if (geometry != null) { geometry.PushModelTransform(transformation); geometry.Draw(entity); } return true; } } public class JigCommands { [CommandMethod("JIG")] public void Jig() { try { var tx1 = new DBText(); tx1.SetDatabaseDefaults(); tx1.TextStyle = Application.DocumentManager.MdiActiveDocument.Database.Textstyle; tx1.Height = 2; tx1.Position = new Point3d(0, 0, 0); tx1.TextString = "Tekst"; tx1.VerticalMode = TextVerticalMode.TextVerticalMid; SaveToDatabase(tx1); Document doc = Application.DocumentManager.MdiActiveDocument; using (var tr = doc.TransactionManager.StartTransaction()) { var txt = tr.GetObject(tx1.Id, OpenMode.ForWrite) as DBText; var jig = new Jig(txt, new Point3d(0, 0, 0)); Application.DocumentManager.MdiActiveDocument.Editor.Drag(jig); txt.TransformBy(jig.transformation); tr.Commit(); } } catch (Exception ex) { Application.DocumentManager.MdiActiveDocument.Editor.WriteMessage(ex.Message); } } public static void SaveToDatabase(Entity ent) { Document doc = Application.DocumentManager.MdiActiveDocument; using (var tr = doc.TransactionManager.StartTransaction()) { var btr = tr.GetObject(doc.Database.CurrentSpaceId, OpenMode.ForWrite) as BlockTableRecord; btr.AppendEntity(ent); tr.AddNewlyCreatedDBObject(ent, true); tr.Commit(); } } } } Choć zaznaczam, że wcale nie czuję się tu jakoś bardzo kompetentny.
  4. 1 point
    Dziękuję bardzo za pomoc, po aktualizacji problem naprawiony, temat do zamknięcia.
  5. 1 point
    W celu naprawienia problemu, proszę w pierwszej kolejności spróbować zaktualizować ZWCAD'a. Z tego co widzę jest to wersja ZWCAD 2017 z października 2016r. Przesyłam link do najnowszej wersji oprogramowania: https://www.zwcad.pl/zwcad-plus-2017/zwcad-2017-sp-3-2-i-3-3.html Wystarczy odinstalować starszą wersję i zainstalować nowszą. W nowszej wersji 2017 poprawiono między innymi drukowanie.
  6. 1 point
    dmatusz3

    Gwint

    W ZW3D Mini są dostępne dwa rodzaje gwintów: symboliczny - model zostaje oznaczony i oznaczenie gwintu widać na rysunku 2D. wykonany w modelu - trzeba narysować w dodatkowym szkicu profil, który ma być utworzony. Oba typy zamieszczam na filmach poniżej. Gwint symboliczny Gwint wycięty w modelu. Taki gwint najlepiej wykonać, jeśli potrzebujemy otrzymać realny model np. wydrukować go na drukarce 3D. Na tę funkcję można spojrzeć również jako przeciągnięcie profilu po spirali. Na filmie pokazałem przeciąganie nieco przypadkowego przekroju z przypadkowymi wymiarami.
This leaderboard is set to Warsaw/GMT+01:00